> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/rate.md).

# Rates

The Rates API allows you to retrieve shipping rates from available carriers.

### The Rate Object

This section describes the different attributes available for a rate.

| Attribute                   | Type       | Description                                                                                                                                          |
| --------------------------- | ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| amount                      | *number*   | Shipping rate amount. The Priority Pickup fare is additional.                                                                                        |
| carrier\_logo               | *string*   | Image URL for carrier logo.                                                                                                                          |
| carrier\_name               | *string*   | Name of carrier executing shipment.                                                                                                                  |
| carrier\_rate\_description  | *string*   | Carrier description of rate e.g. UPS First Class.                                                                                                    |
| carrier\_reference          | *string*   | Unique identifier for carrier.                                                                                                                       |
| carrier\_slug               | *string*   | Unique slug for carrier.                                                                                                                             |
| currency                    | *string*   | Currency of rate amount.                                                                                                                             |
| delivery\_date              | *date*     | Estimated delivery date for shipment.                                                                                                                |
| delivery\_eta               | number     | Estimated delivery time in minutes.                                                                                                                  |
| delivery\_time              | *string*   | Human readable description of estimated time to deliver parcel.                                                                                      |
| id                          | *string*   | Unique identifier for rate.                                                                                                                          |
| metadata                    | *object*   | Provides additional information for a rate.                                                                                                          |
| pickup\_options             | *array*    | Available option objects: `pickup`, `priority_pickup`, `scheduled_pickup` or `dropoff`. Priority Pickup includes its additional amount and currency. |
| priority\_pickup\_available | *boolean*  | Whether a valid Priority Pickup quote is available for this rate.                                                                                    |
| priority\_pickup\_fee       | *number*   | Additional quoted Priority Pickup fare in the rate currency. Omitted when unavailable.                                                               |
| pickup\_eta                 | *number*   | Estimated pickup time in minutes.                                                                                                                    |
| pickup\_time                | *string*   | Human readable description of estimated time to pickup parcel.                                                                                       |
| rate\_id                    | *string*   | Unique reference for rate.                                                                                                                           |
| used                        | *boolean*  | Indicates if a rate has been used in a shipment request.                                                                                             |
| created\_at                 | *datetime* | Time rate created.                                                                                                                                   |
| updated\_at                 | *datetime* | Time rate last updated.                                                                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.terminal.africa/tship/rate.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
